#!/usr/bin/env python2

import subprocess, sys

if int(sys.argv[1]) == -1:
    data_list = ['heart_scale']
elif int(sys.argv[1]) == 0:
    data_list = ['rcv1_test']
else:
    data_list = ['kdda', 'kdd12', 'eps', 'avazu-app', 'higgs', 'url', 'criteo', 'web_trigram', 'splice_site_t_0_1', 'rcv1_test']

datas_path_dict = {\
'heart_scale':'./data/heart_scale',\
'avazu-app':'./data/avazu-app',\
'criteo':'./data/criteo.tr.svm', \
'eps':'./data/epsilon_normalized', \
'higgs':'./data/HIGGS', \
'kdda':'./data/kdda',\
'kdd12':'./data/kdd12', \
'rcv1_test':'./data/rcv1_test', \
'url':'./data/url_combined', \
'web_trigram':'./data/webspam_wc_normalized_trigram',\
'splice_site_t_0_1':'./data/splice_site.t.0.1'
}

method_dir_dict = {
    5:'./codes/npcd_nnza_nnzb',\
}

c = 1

def run(cmd):
    print(cmd)
    subprocess.call(cmd, shell=True)

dir_suffix = 'nnza.nnzb.log'
for data in data_list:
    for s in [5]:
        run('mkdir -p {data}.{suffix}'.format(data=data, suffix=dir_suffix))
        cmd = '{method_dir}/train -s {s} -c {c} {data_path} > {data}.{suffix}/{data}-{c}-log-{s}'.format(s=s, method_dir=method_dir_dict[s], c=1, data_path=datas_path_dict[data], data=data, suffix = dir_suffix)
        run(cmd)
